OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs_GenericData Class Reference

defines IGES Generic Data, Type <406> Form <27>
in package IGESDefs
Used to communicate information defined by the system
operator while creating the model. The information is
system specific and does not map into one of the
predefined properties or associativities. Properties
and property values can be defined by multiple
instances of this property.

`#include <IGESDefs_GenericData.hxx>`

Inheritance diagram for IGESDefs_GenericData:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDefs_GenericData ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Handle(TCollection_HAsciiString)&aName, const Handle(TColStd_HArray1OfInteger)&allTypes, const Handle(TColStd_HArray1OfTransient)&allValues)
| This method is used to set the fields of the class GenericData - nbPropVal : Number of property values - aName : Property Name - allTypes : Property Types - allValues : Property Values .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| returns property name
Standard_EXPORT Standard_Integer | NbTypeValuePairs () const
| returns the number of TYPE/VALUE pairs
Standard_EXPORT Standard_Integer | Type (const Standard_Integer Index) const
| returns the Index'th property value data type raises exception if Index <= 0 or Index > NbTypeValuePairs()
Standard_EXPORT Handle_Standard_Transient | Value (const Standard_Integer Index) const
| HArray1OfInteger (length 1), HArray1OfReal (length 1) for Integer, Real, Boolean (= Integer 0/1), HAsciiString for String (the value itself), IGESEntity for Entity (the value itself) .
Standard_EXPORT Standard_Integer | ValueAsInteger (const Standard_Integer ValueNum) const
| Returns Attribute Value <AttrNum, rank ValueNum> as an Integer //! Error if Index out of Range, or not an Integer .
Standard_EXPORT Standard_Real | ValueAsReal (const Standard_Integer ValueNum) const
| Returns Attribute Value <AttrNum, rank ValueNum> as a Real //! Error if Index out of Range, or not a Real .
Standard_EXPORT Handle_TCollection_HAsciiString | ValueAsString (const Standard_Integer ValueNum) const
| Returns Attribute Value <AttrNum, rank ValueNum> as an Integer .
Standard_EXPORT Handle_IGESData_IGESEntity | ValueAsEntity (const Standard_Integer ValueNum) const
| Returns Attribute Value <AttrNum, rank ValueNum> as an Entity //! Error if Index out of Range, or not a Entity .
Standard_EXPORT Standard_Boolean | ValueAsLogical (const Standard_Integer ValueNum) const
| Returns Attribute Value <AttrNum, rank ValueNum> as a Boolean //! Error if Index out of Range, or not a Logical .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Handle_TCollection_HAsciiString | theName
Handle_TColStd_HArray1OfInteger | theTypes
Handle_TColStd_HArray1OfTransient | theValues

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_GenericData::IGESDefs_GenericData | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESDefs_GenericData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDefs_GenericData::Init | ( | const Standard_Integer | nbPropVal,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TColStd_HArray1OfInteger)& | allTypes,
|  | const Handle(TColStd_HArray1OfTransient)& | allValues
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESDefs_GenericData::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_GenericData::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_GenericData::NbTypeValuePairs | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_GenericData::Type | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_Standard_Transient IGESDefs_GenericData::Value | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDefs_GenericData::ValueAsEntity | ( | const Standard_Integer | ValueNum | ) | const

Standard_EXPORT Standard_Integer IGESDefs_GenericData::ValueAsInteger | ( | const Standard_Integer | ValueNum | ) | const

Standard_EXPORT Standard_Boolean IGESDefs_GenericData::ValueAsLogical | ( | const Standard_Integer | ValueNum | ) | const

Standard_EXPORT Standard_Real IGESDefs_GenericData::ValueAsReal | ( | const Standard_Integer | ValueNum | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESDefs_GenericData::ValueAsString | ( | const Standard_Integer | ValueNum | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESDefs_GenericData::theName`[private]`

Standard_Integer IGESDefs_GenericData::theNbPropertyValues`[private]`

Handle_TColStd_HArray1OfInteger IGESDefs_GenericData::theTypes`[private]`

Handle_TColStd_HArray1OfTransient IGESDefs_GenericData::theValues`[private]`

The documentation for this class was generated from the following file:

- IGESDefs_GenericData.hxx